commit:     e99fef041b5cbe5a672d6312699859a03ce4ec96
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 12 04:36:42 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Apr 12 04:37:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e99fef04

dev-cpp/gstreamermm: fix compilation with newer gcc

Also filter out -Werror for tests compilation, but those fail to compile 
further along then.

Gentoo-bug: 600296

 dev-cpp/gstreamermm/files/1.4.3-fix-compile.patch | 23 +++++++++++++++++++++++
 dev-cpp/gstreamermm/gstreamermm-1.4.3.ebuild      |  6 +++++-
 2 files changed, 28 insertions(+), 1 deletion(-)

diff --git a/dev-cpp/gstreamermm/files/1.4.3-fix-compile.patch 
b/dev-cpp/gstreamermm/files/1.4.3-fix-compile.patch
new file mode 100644
index 00000000000..6ccf0e13ce0
--- /dev/null
+++ b/dev-cpp/gstreamermm/files/1.4.3-fix-compile.patch
@@ -0,0 +1,23 @@
+From c5006faf05bc4b46767d30f42bcb6157836b7540 Mon Sep 17 00:00:00 2001
+From: Marcin Kolny <[email protected]>
+Date: Sat, 17 Sep 2016 22:49:34 +0200
+Subject: Fix warnings
+
+---
+ gstreamer/gstreamermm/check.cc   |  2 +-
+
+leio: Trimmed patch down to only ThrowIf that makes compilation fail with 
newer gcc, not just warn
+
+diff --git a/gstreamer/gstreamermm/check.cc b/gstreamer/gstreamermm/check.cc
+index d620435..a0d323d 100644
+--- a/gstreamer/gstreamermm/check.cc
++++ b/gstreamer/gstreamermm/check.cc
+@@ -54,7 +54,7 @@ RefPtr<Element> Check::_Check::setup_element (const ustring& 
factory)
+ 
+     element = ElementFactory::create_element (factory, factory);
+ 
+-    ThrowIf (element, "Could not create a '" + factory + "' element");
++    ThrowIf (!!element, "Could not create a '" + factory + "' element");
+     CheckRefCount (element->gobj(), factory, 1);
+ 
+     return element;

diff --git a/dev-cpp/gstreamermm/gstreamermm-1.4.3.ebuild 
b/dev-cpp/gstreamermm/gstreamermm-1.4.3.ebuild
index 463e498f380..4f8e13d9c73 100644
--- a/dev-cpp/gstreamermm/gstreamermm-1.4.3.ebuild
+++ b/dev-cpp/gstreamermm/gstreamermm-1.4.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -38,12 +38,16 @@ DEPEND="${RDEPEND}
 # but that's okay, because the rest of dev-cpp/*mm stuff does the same
 
 src_prepare() {
+       epatch "${FILESDIR}"/${PV}-fix-compile.patch
+
        if ! use examples; then
                # don't waste time building examples
                sed -e 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' \
                        -i Makefile.am Makefile.in || die
        fi
 
+       sed -e 's/ -Werror/ /' -i tests/Makefile.am tests/Makefile.in || die
+
        gnome2_src_prepare
        append-cxxflags -std=c++11 #568254 , fixed in master
 }

Reply via email to